"use strict";
layui.extend({
    common    :   'js/common'
}).use(['jquery','layer','common','table','laydate','form'],function () {
    var $ = layui.jquery;
    var serialNumber = $('input[name="serialNumber"]').val();
    var taskType = $('input[name="taskType"]').val();
    //  引入表单
    var form = layui.form;

    //日期时间范围
    layui.laydate.render({
        elem: '#date_range'
        ,max: 0 //最小日期为当天
    });

    //  初始化表单
    var layuiTable = layui.common.layuiTable.render(layui.table,{
        elem: '#data_table'
        ,url: '/ad/device/pagingQuery?taskType=' + taskType + '&serialNumber=' + serialNumber
        ,cols: [[
            { field: 'adName', title: '广告名称',align:'left' }
            ,{ field: 'adType', title: '广告类型',align:'center' }
            ,{ field: 'orgName', title: '发布机构',align:'center' }
            ,{ field: 'createName', title: '发布账户',align:'center' }
            ,{ field: 'createTime', title: '发布时间',align:'center',width:160 }
            ,{ field: 'beginTime', title: '开始时间',align:'center',width:160 }
            ,{ field: 'endTime', title: '结束时间',align:'center',width:160 }
            ,{ field: 'status', title: '当前状态',align:'center',templet:'#status' }
            ,{ field: 'totalPlayVolume', title: '总观看次数',align:'center' }
            ,{ field: 'monthPlayVolume', title: '本月观看次数',align:'center' }
            , { title: '操作', align: 'center',toolbar: '#table-operate',width:70}
        ]]
    });

    //  重新加载表格
    var reloadTable = function() {
        var where = {
            adName      :   $('input[name="adName"]').val(),
            orgName     :   $('input[name="orgName"]').val(),
            publishTime :   $('input[name="publishTime"]').val(),
            status :   $('select[name="status"]').val()
        };
        layuiTable.reload({ where: where ,page: { curr: 1 } });
    };

    //  操作栏事件绑定
    layui.table.on('tool(data_table_event)',function (obj) {
        if (obj.event && obj.event === 'delete'){
            layui.layer.confirm('是否确认删除？',{icon: 7, title:'提示'}, function(index){
                $.ajax({
                    url : '/ad/device/delete',
                    type : 'GET',
                    data : { id : obj.data.id},
                    success : function (result) {
                        layer.close(index);
                        if (result.code === '200'){
                            layui.layer.alert("删除成功");
                            //  刷新表格
                            layuiTable.reload({ page: { curr: 1 } });
                        }else {
                            layui.layer.alert(result.msg);
                        }
                    }
                });
            });
        }
    });

    //监听查询
    form.on('submit(query)', function(){
        reloadTable();
    });

    //监听重置
    form.on('submit(reset)', function(){
        $('input[name="adName"]').val("");
        $('input[name="orgName"]').val("");
        $('input[name="publishTime"]').val("");
        $('select[name="status"]').val("");
        // 刷新select标签
        form.render('select');
        reloadTable();
    });

});
